Subject: Re: bug#22534: File notify broken on Windows

From: Michael Albinus <[email-masked]>
Date: Tue, 09 Feb 2016 09:13:31 +0100

Eli Zaretskii <[email-masked]> writes:

>> > That's your logic, not mine.  If I want all the tests, I will say so.
>>
>> How?
>
> By the same selector scheme we use when running the whole suite.

Well, the following runs all tests but the expensive ones:

# make SELECTOR='$(SELECTOR_DEFAULT)' -C test/automated file-notify-tests

So far, we have declared only $(SELECTOR_DEFAULT) and
$(SELECTOR_EXPENSIVE). Shall we declare more predefined selectors in
the makefile?

>> > Something like "make file-notify-tests TEST=06", for example.
>>
>> The "06" is just my invention. There's no rule how to name ert
>> tests. Most of the test names do not use numbers.
>>
>> And a selector '(eql file-notify-test02-events) is just one of the
>> possible selectors. Do you want to restrict this to test names? Using
>> tags for selectors sounds also very appealing.
>
> The name of a test is a good selector, and the syntax could be simpler
> than it is now, if we could say something like "TESTS='foo bar baz'".

Selectors could be a regexp. So the following works already:

# make SELECTOR='\"02\"' -C test/automated file-notify-tests

And if you want to run only test 04 and 05 (both about validity), and
not the respective remote tests, call this (note the double $ at the end):

# make SELECTOR='\"validity$$\"' -C test/automated file-notify-tests

Well, I shall start to document somewhere what's already working ...

Best regards, Michael.